Lines Matching refs:ECHO
104 # . `echo "$0" | ${SED-sed} 's|[^/]*$||'`/build-aux/funclib.sh
215 echo "no acceptable sed could be found in \$PATH" >&2
233 echo "$_G_sed_script" 2>/dev/null | sed 99q >conftest.sed
247 echo '' >> conftest.nl
283 echo 'GREP' >> conftest.nl
313 : ${ECHO="printf %s\n"}
390 # debug_cmd='eval echo "${FUNCNAME[0]} $*" >&2' bash your-script-name
411 progname=`$ECHO "$progpath" |$SED "$sed_basename"`
417 progdir=`$ECHO "$progpath" |$SED "$sed_dirname"`
611 eval _G_current_value='`$ECHO $'$1'`'
661 _b='func_basename_result=`$ECHO "$1" |$SED "$sed_basename"`'
662 _d='func_dirname_result=`$ECHO "$1" |$SED "$sed_dirname"`
713 # Echo program name prefixed message.
724 $ECHO "$progname: $_G_line"
732 # Invoke $ECHO with all args, space-separated.
735 $ECHO "$*"
741 # Echo program name, followed by INFIX on the first line, with any
758 _G_esc_tc=`$ECHO "$_G_tc" | $SED "$sed_make_literal_regex"`
759 _G_indent=`$ECHO "$_G_indent" | $SED "s|$_G_esc_tc||g"`
762 _G_indent="$progname: "`echo "$_G_indent" | $SED 's|.| |g'`" " ## exclude from sc_prohibit_nested_quotes
768 $ECHO "$_G_prefix$tc_bold$_G_line$tc_reset" >&2
777 # Echo program name prefixed message to standard error.
790 # Echo program name prefixed message to standard error, and exit.
832 func_len_result=`expr "$1" : ".*" 2>/dev/null || echo $max_cmd_len`
864 _G_directory_path=`$ECHO "$_G_directory_path" | $SED -e "$sed_dirname"`
866 _G_dir_list=`$ECHO "$_G_dir_list" | $SED 's|:*$||'`
919 $ECHO "$_G_tmpdir"
977 func_normal_abspath_tpath=`$ECHO "$func_normal_abspath_tpath" | $SED \
988 func_normal_abspath_tcomponent=`$ECHO "$func_normal_abspath_tpath" | $SED \
990 func_normal_abspath_tpath=`$ECHO "$func_normal_abspath_tpath" | $SED \
1015 # Echo program name prefixed message only when not in quiet mode.
1156 _G_arg=`$ECHO "$1" | $SED \
1199 .*) func_stripname_result=`$ECHO "$3" | $SED -e "s%^$1%%" -e "s%\\\\$2\$%%"`;;
1200 *) func_stripname_result=`$ECHO "$3" | $SED -e "s%^$1%%" -e "s%$2\$%%"`;;
1272 func_tr_sh_result=`$ECHO "$1" | $SED -e 's/^\([0-9]\)/_\1/' -e 's/[^a-zA-Z0-9_]/_/g'`
1283 # Echo program name prefixed message in verbose mode only.
1296 # Echo program name prefixed warning message to standard error.
1309 # Echo program name prefixed warning message to standard error. Warning
1518 eval ${1}_hooks='`$ECHO "\$'$1'_hooks" |$SED "s| '$2'||"`'
1805 # Echo program name prefixed message to standard error, followed by
1811 eval \$ECHO \""Usage: $usage"\"
1812 eval \$ECHO \""$fatal_help"\"
1820 # Echo long help message to standard output and exit.
1826 $ECHO "$long_help_message"
1833 # Echo program name prefixed message to standard error and set global
1907 # Echo short help message to standard output and exit.
1913 $ECHO "Run '$progname --help |${PAGER-more}' for full usage"
1920 # Echo short help message to standard output.
1925 eval \$ECHO \""Usage: $usage"\"
1926 echo
1933 echo
1934 eval \$ECHO \""$usage_message"\"
1940 # Echo version message to standard output and exit.
1997 $ECHO "$progname${opt_mode+: $opt_mode}: $_G_line"
2047 $ECHO "$long_help_message
2111 func_lo2o_result=`$ECHO "$1" | $SED "$lo2o"`
2116 func_xform_result=`$ECHO "$1" | $SED 's|\.[^.]*$|.lo|'`
2123 # Echo program name prefixed message to standard error, followed by
2158 echo "host: $host"
2160 echo "enable shared libraries"
2162 echo "disable shared libraries"
2165 echo "enable static libraries"
2167 echo "disable static libraries"
2444 $ECHO "$help" 1>&2
2773 func_convert_core_file_wine_to_w32_result=`$ECHO "$func_convert_core_file_wine_to_w32_tmp" |
2860 func_convert_core_msys_to_w32_result=`( cmd //c echo "$1" ) 2>/dev/null |
2901 func_to_host_path_result=`echo "$3" |
3423 && $ECHO "X$libobj" | $GREP '[]~#^*{};<>?"'"'"' &()|`$[]' \
3454 output_obj=`$ECHO "$srcfile" | $SED 's%^.*/%%; s%\.[^.]*$%%'`.$objext
3471 $ECHO "\
3486 $ECHO "$srcfile" > "$lockfile"
3522 $ECHO "\
3571 $ECHO "\
3624 $ECHO \
3638 $ECHO \
3662 $ECHO \
3682 $ECHO \
3694 $ECHO \
3711 $ECHO \
3779 $ECHO \
3797 echo
3798 $ECHO "Try '$progname --help' for more information about other modes."
3815 echo
3938 eval "\$ECHO \"\$shlibpath_var=\$$shlibpath_var\""
3939 echo "export $shlibpath_var"
3941 $ECHO "$cmd$args"
3995 sysroot_regex=`$ECHO "$lt_sysroot" | $SED "$sed_make_literal_regex"`
4004 echo "removing references to $lt_sysroot and '=' prefixes from $lib"
4037 echo "----------------------------------------------------------------------"
4038 echo "Libraries have been installed in:"
4040 $ECHO " $libdir"
4042 echo
4043 echo "If you ever happen to want to link against installed libraries"
4044 echo "in a given directory, LIBDIR, you must either use libtool, and"
4045 echo "specify the full pathname of the library, or use the '-LLIBDIR'"
4046 echo "flag during linking and do at least one of the following:"
4048 echo " - add LIBDIR to the '$shlibpath_var' environment variable"
4049 echo " during execution"
4052 echo " - add LIBDIR to the '$runpath_var' environment variable"
4053 echo " during linking"
4059 $ECHO " - use the '$flag' linker flag"
4062 $ECHO " - have your system administrator run these commands:$admincmds"
4065 echo " - have your system administrator add LIBDIR to '/etc/ld.so.conf'"
4067 echo
4069 echo "See any operating system documentation about shared libraries for"
4072 echo "more information, such as the ld(1), crle(1) and ld.so(8) manual"
4073 echo "pages."
4076 echo "more information, such as the ld(1) and ld.so(8) manual pages."
4079 echo "----------------------------------------------------------------------"
4279 inst_prefix_dir=`$ECHO "$destdir" | $SED -e "s%$libdir\$%%"`
4292 relink_command=`$ECHO "$relink_command" | $SED "s%@inst_prefix_dir@%-inst-prefix-dir $inst_prefix_dir%"`
4294 relink_command=`$ECHO "$relink_command" | $SED "s%@inst_prefix_dir@%%"`
4459 libfile=$libdir/`$ECHO "$lib" | $SED 's%^.*/%%g'`
4478 relink_command=`$ECHO "$relink_command" | $SED 's%@OUTPUT@%'"$outputname"'%g'`
4497 file=`$ECHO "$file$stripped_ext" | $SED "s%\([^/]*\)$%$objdir/\1%"`
4571 my_prefix=`$ECHO "$my_originator" | $SED 's%[^a-zA-Z0-9]%_%g'`
4594 $opt_dry_run || $ECHO > "$output_objdir/$my_dlsyms" "\
4626 $opt_dry_run || echo ': @PROGRAM@ ' > "$nlist"
4629 progfiles=`$ECHO "$objs$old_deplibs" | $SP2NL | $SED "$lo2o" | $NL2SP`
4658 eval "echo EXPORTS "'> "$output_objdir/$outputname.def"'
4670 eval "echo EXPORTS "'> "$output_objdir/$outputname.def"'
4691 dlprefile_dlname=`source "$curr_lafile" && echo "$dlname"`
4703 eval '$ECHO ": $dlprefile_dlbasename" >> "$nlist"'
4706 eval '$ECHO ": $name " >> "$nlist"'
4714 eval '$ECHO ": $name " >> "$nlist"'
4722 eval '$ECHO ": $name " >> "$nlist"'
4755 echo '/* NONE */' >> "$output_objdir/$my_dlsyms"
4763 echo >> "$output_objdir/$my_dlsyms" "\
4775 echo >> "$output_objdir/$my_dlsyms" "\
4782 echo >> "$output_objdir/$my_dlsyms" "\
4786 echo >> "$output_objdir/$my_dlsyms" "\
4792 echo >> "$output_objdir/$my_dlsyms" "\
4804 echo >> "$output_objdir/$my_dlsyms" "\
4860 compile_command=`$ECHO "$compile_command" | $SED "s%@SYMFILE@%$output_objdir/$my_outputname.def $symfileobj%"`
4861 finalize_command=`$ECHO "$finalize_command" | $SED "s%@SYMFILE@%$output_objdir/$my_outputname.def $symfileobj%"`
4863 compile_command=`$ECHO "$compile_command" | $SED "s%@SYMFILE@%$symfileobj%"`
4864 finalize_command=`$ECHO "$finalize_command" | $SED "s%@SYMFILE@%$symfileobj%"`
4868 compile_command=`$ECHO "$compile_command" | $SED "s%@SYMFILE@%$symfileobj%"`
4869 finalize_command=`$ECHO "$finalize_command" | $SED "s%@SYMFILE@%$symfileobj%"`
4883 compile_command=`$ECHO "$compile_command" | $SED "s% @SYMFILE@%%"`
4884 finalize_command=`$ECHO "$finalize_command" | $SED "s% @SYMFILE@%%"`
4975 $ECHO "$win32_libid_type"
5009 match_literal=`$ECHO "$1" | $SED "$sed_make_literal_regex"`
5159 darwin_arches=`$ECHO "$darwin_arches" | $SED -e 's/.*are://'`
5215 $ECHO "\
5257 # When we are sourced in execute mode, \$file and \$ECHO are already set.
5261 qECHO=`$ECHO "$ECHO" | $SED "$sed_quote_subst"`
5262 $ECHO "\
5271 ECHO=\"$qECHO\"
5296 lt_dump_D=\`\$ECHO \"X\$lt_script_arg0\" | $SED -e 's/^X//' -e 's%/[^/]*$%%'\`
5298 lt_dump_F=\`\$ECHO \"X\$lt_script_arg0\" | $SED -e 's/^X//' -e 's%^.*/%%'\`
5303 \$ECHO \"Unrecognized --lt- option: '\$lt_opt'\" 1>&2
5311 echo \"$outputname:$output:\$LINENO: libtool wrapper (GNU $PACKAGE) $VERSION\" 1>&2
5322 \$ECHO \"$outputname:$output:\$LINENO: newargv[\$lt_dump_args_N]: \$lt_arg\"
5334 $ECHO "\
5336 \$ECHO \"$outputname:$output:\$LINENO: newargv[0]: \$progdir\\\\\$program\" 1>&2
5344 $ECHO "\
5346 \$ECHO \"$outputname:$output:\$LINENO: newargv[0]: \$progdir/\$program\" 1>&2
5353 $ECHO "\
5354 \$ECHO \"\$0: cannot exec \$program \$*\" 1>&2
5381 thisdir=\`\$ECHO \"\$file\" | $SED 's%/[^/]*$%%'\`
5387 destdir=\`\$ECHO \"\$file\" | $SED 's%/[^/]*\$%%'\`
5397 file=\`\$ECHO \"\$file\" | $SED 's%^.*/%%'\`
5411 *[\\\\/]$objdir ) thisdir=\`\$ECHO \"\$thisdir\" | $SED 's%[\\\\/][^\\\\/]*$%%'\` ;;
5422 $ECHO "\
5438 $ECHO "\
5444 \$ECHO \"\$relink_command_output\" >&2
5456 $ECHO "\
5462 $ECHO "\
5472 $ECHO "\
5480 $ECHO "\
5486 $shlibpath_var=\`\$ECHO \"\$$shlibpath_var\" | $SED 's/::*\$//'\`
5492 $ECHO "\
5499 \$ECHO \"\$0: error: '\$progdir/\$program' does not exist\" 1>&2
5500 \$ECHO \"This script is just a wrapper for \$program.\" 1>&2
5501 \$ECHO \"See the $PACKAGE documentation for more information.\" 1>&2
5758 echo " setmode(1,_O_BINARY);"
6995 testbindir=`$ECHO "$dir" | $SED 's*/lib$*/bin*'`
7460 eval shlib_search_path=\`\$ECHO \"\$$shlibpath_var\" \| \$SED \'s/:/ /g\'\`
7777 if eval "\$ECHO \"$deplib\"" 2>/dev/null | $SED 10q \
7787 echo
7788 $ECHO "*** Warning: Linking the shared library $output against the"
7789 $ECHO "*** static library $deplib is not portable!"
7792 echo
7793 $ECHO "*** Warning: Trying to link with static lib archive $deplib."
7794 echo "*** I have the capability to make that library automatically link in when"
7795 echo "*** you link to this library. But I can only do this if you have a"
7796 echo "*** shared version of the library, which you do not appear to have"
7797 echo "*** because the file extensions .$libext of this argument makes me believe"
7798 echo "*** that it is just a static archive that I should not use here."
7866 tmp_inherited_linker_flags=`$ECHO "$inherited_linker_flags" | $SED 's/-framework \([^ $]*\)/\1.ltframework/g'`
7874 dependency_libs=`$ECHO " $dependency_libs" | $SED 's% \([^ $]*\).ltframework% -framework \1%g'`
8161 echo
8163 $ECHO "*** Warning: Linking the executable $output against the loadable module"
8165 $ECHO "*** Warning: Linking the shared library $output against the loadable module"
8167 $ECHO "*** $linklib is not portable!"
8200 libname=`eval "\\$ECHO \"$libname_spec\""`
8262 $ECHO "*** Warning: lib $linklib is a module, not a shared library"
8264 echo
8265 echo "*** And there doesn't seem to be a static archive available"
8266 echo "*** The link will probably fail, sorry"
8406 echo
8407 $ECHO "*** Warning: This system cannot link to static lib archive $lib."
8408 echo "*** I have the capability to make that library automatically link in when"
8409 echo "*** you link to this library. But I can only do this if you have a"
8410 echo "*** shared version of the library, which you do not appear to have."
8412 echo "*** But as you try to build a module library, libtool will still create "
8413 echo "*** a static module, that should work as long as the dlopening application"
8414 echo "*** is linked with the -dlopen flag to resolve symbols at runtime."
8416 echo
8417 echo "*** However, this would only work if libtool was able to extract symbol"
8418 echo "*** lists from a program, using 'nm' or equivalent, but libtool could"
8419 echo "*** not find such a program. So, this module is probably useless."
8420 echo "*** 'nm' from GNU binutils and a full rebuild may help."
8548 compiler_flags="$compiler_flags "`$ECHO " $new_inherited_linker_flags" | $SED 's% \([^ $]*\).ltframework% -framework \1%g'`
8747 echo
8748 $ECHO "*** Warning: Linking the shared library $output against the non-libtool"
8749 $ECHO "*** objects $objs is not portable!"
9042 tempremovelist=`$ECHO "$output_objdir/*"`
9049 if $ECHO "$p" | $EGREP -e "$precious_files_regex" >/dev/null 2>&1
9068 oldobjs="$objs "`$ECHO "$libobjs" | $SP2NL | $SED "/\.$libext$/d; $lo2o" | $NL2SP`
9073 # lib_search_path=`$ECHO "$lib_search_path " | $SED "s% $path % %g"`
9074 # deplibs=`$ECHO "$deplibs " | $SED "s% -L$path % %g"`
9075 # dependency_libs=`$ECHO "$dependency_libs " | $SED "s% -L$path % %g"`
9194 libname=`eval "\\$ECHO \"$libname_spec\""`
9195 deplib_matches=`eval "\\$ECHO \"$library_names_spec\""`
9202 echo
9203 $ECHO "*** Warning: dynamic linker does not accept needed library $i."
9204 echo "*** I have the capability to make that library automatically link in when"
9205 echo "*** you link to this library. But I can only do this if you have a"
9206 echo "*** shared version of the library, which I believe you do not have"
9207 echo "*** because a test_compile did reveal that the linker did not use it for"
9208 echo "*** its dynamic dependency list that programs get resolved with at runtime."
9237 libname=`eval "\\$ECHO \"$libname_spec\""`
9238 deplib_matches=`eval "\\$ECHO \"$library_names_spec\""`
9245 echo
9246 $ECHO "*** Warning: dynamic linker does not accept needed library $i."
9247 echo "*** I have the capability to make that library automatically link in when"
9248 echo "*** you link to this library. But I can only do this if you have a"
9249 echo "*** shared version of the library, which you do not appear to have"
9250 echo "*** because a test_compile did reveal that the linker did not use this one"
9251 echo "*** as a dynamic dependency that programs can get resolved with at runtime."
9256 echo
9257 $ECHO "*** Warning! Library $i is needed by this library but I was not able to"
9258 echo "*** make it link in! You will probably need to install it or some"
9259 echo "*** library that it depends on before this library will be fully"
9260 echo "*** functional. Installing it before continuing would be even better."
9287 libname=`eval "\\$ECHO \"$libname_spec\""`
9318 *) potlib=`$ECHO "$potlib" | $SED 's|[^/]*$||'`"$potliblink";;
9333 echo
9334 $ECHO "*** Warning: linker path does not have real file for library $a_deplib."
9335 echo "*** I have the capability to make that library automatically link in when"
9336 echo "*** you link to this library. But I can only do this if you have a"
9337 echo "*** shared version of the library, which you do not appear to have"
9338 echo "*** because I did check the linker path looking for a file starting"
9340 $ECHO "*** with $libname but no candidates were found. (...for file magic test)"
9342 $ECHO "*** with $libname and none of the candidates passed a file format test"
9343 $ECHO "*** using a file magic. Last file checked: $potlib"
9371 libname=`eval "\\$ECHO \"$libname_spec\""`
9376 if eval "\$ECHO \"$potent_lib\"" 2>/dev/null | $SED 10q | \
9387 echo
9388 $ECHO "*** Warning: linker path does not have real file for library $a_deplib."
9389 echo "*** I have the capability to make that library automatically link in when"
9390 echo "*** you link to this library. But I can only do this if you have a"
9391 echo "*** shared version of the library, which you do not appear to have"
9392 echo "*** because I did check the linker path looking for a file starting"
9394 $ECHO "*** with $libname but no candidates were found. (...for regex pattern test)"
9396 $ECHO "*** with $libname and none of the candidates passed a file format test"
9397 $ECHO "*** using a regex pattern. Last file checked: $potlib"
9410 tmp_deplibs=`$ECHO " $deplibs" | $SED 's/ -lc$//; s/ -[LR][^ ]*//g'`
9414 tmp_deplibs=`$ECHO " $tmp_deplibs" | $SED "s|$i||"`
9419 echo
9421 echo "*** Warning: inter-library dependencies are not supported in this platform."
9423 echo "*** Warning: inter-library dependencies are not known to be supported."
9425 echo "*** All declared inter-library dependencies are being dropped."
9440 newdeplibs=`$ECHO " $newdeplibs" | $SED 's/ -lc / System.ltframework /'`
9446 echo
9447 echo "*** Warning: libtool could not satisfy all declared inter-library"
9448 $ECHO "*** dependencies of module $libname. Therefore, libtool will create"
9449 echo "*** a static module, that should work as long as the dlopening"
9450 echo "*** application is linked with the -dlopen flag."
9452 echo
9453 echo "*** However, this would only work if libtool was able to extract symbol"
9454 echo "*** lists from a program, using 'nm' or equivalent, but libtool could"
9455 echo "*** not find such a program. So, this module is probably useless."
9456 echo "*** 'nm' from GNU binutils and a full rebuild may help."
9466 echo "*** The inter-library dependencies that have been dropped here will be"
9467 echo "*** automatically added whenever a program is linked with this library"
9468 echo "*** or is declared to -dlopen it."
9471 echo
9472 echo "*** Since this library must not contain undefined symbols,"
9473 echo "*** because either the platform does not support them or"
9474 echo "*** it was explicitly requested with -no-undefined,"
9475 echo "*** libtool will only create a static version of it."
9492 newdeplibs=`$ECHO " $newdeplibs" | $SED 's% \([^ $]*\).ltframework% -framework \1%g'`
9493 new_inherited_linker_flags=`$ECHO " $new_inherited_linker_flags" | $SED 's% \([^ $]*\).ltframework% -framework \1%g'`
9494 deplibs=`$ECHO " $deplibs" | $SED 's% \([^ $]*\).ltframework% -framework \1%g'`
9619 test -z "$pic_flag" && libobjs=`$ECHO "$libobjs" | $SP2NL | $SED "$lo2o" | $NL2SP`
9690 $ECHO "$func_to_tool_file_result"
9717 $opt_dry_run || eval '$ECHO "$include_expsyms" | $SP2NL >> "$tmp_export_symbols"'
9832 echo 'INPUT (' > $output
9836 $ECHO "$func_to_tool_file_result" >> $output
9838 echo ')' >> $output
9856 $ECHO "$func_to_tool_file_result" >> $output
9966 $opt_dry_run || eval '$ECHO "$include_expsyms" | $SP2NL >> "$tmp_export_symbols"'
10133 test -n "$wl" || tmp_whole_archive_flags=`$ECHO "$tmp_whole_archive_flags" | $SED 's|,| |g'`
10148 reload_objs=$objs$old_deplibs' '`$ECHO "$libobjs" | $SP2NL | $SED "/\.$libext$/d; /\.lib$/d; $lo2o" | $NL2SP`' '$reload_conv_objs
10169 # $show "echo timestamp > $libobj"
10170 # $opt_dry_run || eval "echo timestamp > $libobj" || exit $?
10206 compile_deplibs=`$ECHO " $compile_deplibs" | $SED 's/ -lc / System.ltframework /'`
10207 finalize_deplibs=`$ECHO " $finalize_deplibs" | $SED 's/ -lc / System.ltframework /'`
10224 compile_deplibs=`$ECHO " $compile_deplibs" | $SED 's% \([^ $]*\).ltframework% -framework \1%g'`
10225 finalize_deplibs=`$ECHO " $finalize_deplibs" | $SED 's% \([^ $]*\).ltframework% -framework \1%g'`
10302 testbindir=`$ECHO "$libdir" | $SED -e 's*/lib$*/bin*'`
10362 compile_command=`$ECHO "$compile_command" | $SP2NL | $SED "$lo2o" | $NL2SP`
10363 finalize_command=`$ECHO "$finalize_command" | $SP2NL | $SED "$lo2o" | $NL2SP`
10390 compile_command=`$ECHO "$compile_command" | $SED 's%@OUTPUT@%'"$output"'%g'`
10443 link_command=`$ECHO "$link_command" | $SED 's%@OUTPUT@%'"$output"'%g'`
10469 relink_command=`$ECHO "$compile_var$compile_command$compile_rpath" | $SED 's%@OUTPUT@%\$progdir/\$file%g'`
10482 link_command=`$ECHO "$link_command" | $SED 's%@OUTPUT@%'"$output_objdir/$outputname"'%g'`
10512 relink_command=`$ECHO "$relink_command" | $SED "$sed_quote_subst"`
10631 $ECHO "$func_basename_result"
10635 echo "copying selected object files to avoid basename conflicts..."
10680 $ECHO "$func_to_tool_file_result"
10758 relink_command=`$ECHO "$relink_command" | $SED "$sed_quote_subst"`
10875 $ECHO > $output "\
10918 $ECHO >> $output "\
11143 build_old_libs=`case $build_libtool_libs in yes) echo no;; *) echo yes;; esac`